Subject: Re: 1.7.7: wrapped sh.exe 100% cpu core usage and unexpected process behaviour
From: Vasek Prochazka <[email-masked]>
To: [email-masked]
Date: Sun, 19 Dec 2010 17:06:14 +0100 (CET)
List-Id: <cygwin.cygwin.com>

> Hi folks,
> I have run into situation where sh.exe process consumes whole cpu core and make
> does not proceeds further. I observed this behavior on two unrelated cpu intense
> makefiles, but don really see a common cause. The second one even works as
> expected when ran with -j1 but hangs with -j2. 
> This might be same issue as http://cygwin.com/ml/cygwin/2010-11/msg00080.html ,
> but I'm not sure, I was not able to attach gdb to it. (More on that later.)
> Attached cygcheck -svr is from snapshot 20101215, but I originally run into this
> issue also on 1.7.7.
> 
> I was able to reproduce the problem only on that particular pc (Win XP SP3),
> tried to reproduce it on few other PC's (XP SP2 &SP3, all clean 1.7.7; default
> packages) but test script finished as expected. It also might be a BLODA, I have
> installed outpost firewall (on list) and avast (not on list, but other AV are
> there..). I tried to deactivate them but no change, I didn't try to completely
> uninstall them yet. On one of the XPSP3 PC's, where it didn't hang they are
> installed too, but lower versions. Clean Cygwin reinstall didn't help.
> 
Just to wrap it up, its a BLODA problem with Agnitum Outpost Firewall/Security Suite 7.0 . When I uninstall it, the problem disappears, no other action needed. I filled a bug report, so perhaps Agnitum will do something about it.

Regards

Vaclav

PS: Sorry for the cygcheck output in web mail list archive in previous email, I sent it as regular attachment, don't know why it show as part of the text, when my email I received back from list has it as attachment.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple